@charset "UTF-8";
@import url("grid.css");


@page {
	margin: 0mm 5mm;
	size: A4 portrait; /*横の場合はlandscape*/
}

@media print {

	#mainmenu-area {
		position: absolute !important;
	}
}

:root { /* 色変更される場合は、#以降のカラーコードを変更してください IE非対応 */
    --base-color: #000;
    --link-color: #F3A800;
    --linkhover-color: #ffc544;
    --back-color: #f7f7f7;
    --border-color: #999;
    --white-color: #fff;
}

input,
textarea,
select,
fieldset {
  color: #000;
}

body {
	background: #000;
	color: #fff;
	word-break: break-all;
}

img {
	max-width:100%;
	height: auto;/*高さ自動*/
}
a {
/*
	display:block;
*/
	color: var(--link-color);
	text-decoration-line: none;
}

a:hover { 
    color: var(--linkhover-color);
}

a img {

}

a img:hover {
	opacity: 0.8;
}


.underline {
	border-bottom: 3px solid var(--base-color);
	padding-bottom: 0.5rem;
}



/*ヘッダー
-------------------------------------*/

.head {
	display: flex;
    flex-direction: row;
    padding: 1rem 0 0 0;
	justify-content: center;
}

.head .logo {
  padding: 4rem 0 1rem 0;
	text-align: center;
	font-weight: bold;
}

.head .logo a {
	display: block;
}

.telbox {
	margin-left: auto;
	font-size: 3.0rem;
	padding: 1rem 0 0 0;
}
nav ul {
	display: flex;
    flex-direction: row;
    justify-content: space-around;
    list-style: none;
	margin-bottom: 1rem;
}
nav li {
    display: block;
    flex: 1 0 auto;
}
nav li a {
    text-decoration: none;
    text-align: center;
}
nav a:hover {
    background-color: var(--back-color);   
}
nav a {
    padding: 1rem;
}






/* flexbox
---------------------------------------------------------------*/
.flexbox {
	display:flex;
}

/*改行する
-----------------------------*/
.fw {
	flex-wrap: wrap;
}
  
/*子要素を両端 	要素間に均等なマージンを設定。
-----------------------------*/
.f-sb {
	justify-content: space-between;
}

/*外側と要素間に余白を設定。ただし、外側は要素間の半分の余白とする。
-----------------------------*/
.f-sa {
	justify-content:  space-around;	
}

/*子要素を中央
-----------------------------*/
.f-c {
	justify-content:  center;	
}

/*子要素を垂直方向の配置の先頭にまとめる、高さが各子要素の内容分になる
-----------------------------*/
.ai-s {
	align-items: start;
}

/*子要素を垂直方向の配置を中心にまとめる、高さが各子要素の内容分になる
-----------------------------*/
.ai-c {
	align-items: center;
}



/*メニュー部分 カスタム20250327
----------------------------------*/
#mainmenu-area {
  position: fixed; /*stickyで上部に固定*/
  margin: 0;
  z-index: 9999; /*重ね順を一番上に*/
}

#mainmenu {
  position: relative;
  margin: 0;
  margin-left: auto;  /*右寄せにする*/
  width: 100vw; /*横幅いっぱい*/
}


#mainmenu nav {
  background: rgba(0, 0, 0, 0.8);
  width: 100%; /*div要素内で横幅いっぱい*/
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.05), 0 8px 8px rgba(0, 0, 0, 0.05); /*お好みで影つける*/

  /*nav要素クリック前は非表示*/
  visibility: hidden;
  height: 0;
  top: 0;
  right: 0;
  opacity: 0;
  transition: all 0.3s ease;
}

#mainmenu nav a {
  color: #ffffff; /*nav内のリンク色*/
  text-decoration: none; /*リンクの下線を消す*/
  display: block; /*ブロック要素にして押しやすいように*/
  padding: 1.0em; /*押せる範囲を少し拡張するために文字の高さを設定*/
}
/*ホバーで背景色変える*/
#mainmenu nav a:hover {
  background: #ffffff80; /*透明度80の白*/
}
/*ul設定*/
#mainmenu nav ul {
  margin: 0;
  padding: 2em 1em; /*余白上はアイコン分開ける*/
  list-style: none; /*リストの・を消す*/
}



#mainmenu #toggle {
  display: none; /*checkboxは非表示*/
}

/*クリックで表示*/
#mainmenu #toggle:checked ~ #hidden {
  visibility: visible; /*表示*/
  height: auto; /*メニューの高さ*/
  overflow-y: scroll; /*溢れた要素はスクロールで見れるように*/
  opacity: 1;
	padding-top: 3rem;
}

/*擬似要素で背景を作りかぶせる*/
#mainmenu #toggle:checked ~ .close-btn::before {
  content: "";
  position: fixed;

  /*top,left,bottom,right全て0にすることで全画面表示*/
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;

  /*背景色に少し透過させた黒*/
  background: #000;
  opacity: 0.3;

  /*header要素の後ろに*/
  z-index: -1;
}


/*+ボタンのベースとなる部分*/
#mainmenu .close-btn {
  cursor: pointer;
  z-index: 1;
	/*
  height: 0.4em;
	*/
  line-height: 2em;
	margin-bottom: 0;
}
 /*Menuの文字　あってもなくても*/
#mainmenu .close-btn::after {
		position: absolute;
		content: "Menu";
		font-weight: bold;
		top: 1rem;
		right: 1em;
		z-index: 1;
		background: #000;
	/*
		background: #fff;
	*/
		padding: 0px 15px 25px 10px;
	
}
/*ボタン部分を擬似要素で作る*/
#mainmenu .close-btn span::before,
#mainmenu .close-btn span::after {
  position: absolute;
  content: "";
  width: 1.3em; /*アイコンの大きさ*/
  height: 3px; /*アイコンの太さ*/
  background: #fff; /*アイコンの色*/
  top: 3.3em; /*上からの位置*/
  right: 2.6em; /*右からの位置*/
  transition: all 0.3s ease;
  z-index: 3; /*Menu文字より上に配置*/
}
/*擬似要素の片方は90度回転*/
#mainmenu .close-btn span::after {
  transform: rotateZ(90deg);
}
/*クリックで回転を０度に*/
#mainmenu #toggle:checked ~ .close-btn span::after {
  transform: rotate(0deg);
}


@media screen and (min-width: 769px), print {
	
	.head .logo { 
		font-size: 2rem;
	}

	.head .logo a { 
		max-width: 350px;
		margin: auto;
	}

	
	/* PC時はMENUボタンを非表示
		#open,#close {
			display: none !important;
	}
	 */

	#navi {
			display: block !important;
	}

	
	/*ファーストビュー
	-------------------------------------*/
	.top-catch {
		padding: 5rem 0 5rem 0;
	}

	.top-catch span {
		line-height: 1.2;
	}
	.kokuchi-date {
		font-size: 3.5rem;
	}
	.kokuchi-go {
		font-size: 7rem;
	}

	.top-catch h1 {
		margin-top: 4rem;
	}

	
	.shop-img-area div {
		width: calc((100% / 3) - 30px) ;
	}


	.maker-area {
		padding: 6% 4% 4% 4%;
		gap:30px;
	}

	.maker-area div {
		width: calc((100% / 5) - 30px) ;
		padding: 15px 15px;
	}

	.routeguide {
		margin: 2.5rem auto;
		width: 80%;
	}
	.routeguide dt {
		width: 25%;
		text-align: right;
		padding-right: 1.5rem;
	}
	.routeguide dd {
		width: 75%;
	}

	
	#new {
		width: 90%;
		margin: 0 auto 5rem auto;
	}

	#new dt,#new dd {
		border-bottom: 1px solid var(--border-color);
		padding: 0.5rem;
	}

	#new dt {
		width: 25%;
		text-align: center;
		padding-right: 1.5rem;
	}

	#new dd {
		width: 75%;
	}
}

@media screen and (max-width: 768px){
	.head {
		flex-direction: column;
			text-align: left;
			margin-bottom: 20px;
	}

	.head .logo { 
		font-size: 1.1rem;
	}

	.head .logo a { 
		max-width: 200px;
		margin: auto;
	}


	.telbox {
		margin-left: 0;
		text-align: center;
	}
	.head #open,#close  {
			position: absolute;
			top: 28px;
			right: 12px;
			}
	nav ul {
		flex-direction: column;
	}

	nav li {
		padding-top: 0;
		border-bottom: 1px solid var(--border-color);
		margin-bottom: 0;
	}


	/* スマホ時はMENUボタンを表示 */
	#open {
			display: block;
			background: url(../img/button.png);
			background-repeat: no-repeat;
			background-size: contain;
			width: 50px;
			height: 50px;
			border: none;
			position: absolute;
			top: 20px;
			right: 12px;
	}
	#close  {
			display: block;
			background: url(../img/button2.png);
			background-repeat: no-repeat;
			background-size: contain;
			width: 50px;
			height: 50px;
			border: none;
			position: absolute;
			top: 20px;
			right: 12px;
	}

	/* スマホ時はメニューを非表示 */
	#navi {
			display: none;
	}

	
	
	/*ファーストビュー
	-------------------------------------*/
	.top-catch {
		padding: 3rem 0 3rem 0;
	}

	.top-catch span {
		display: block;
		line-height: 1.2;
	}
	.kokuchi-date {
		font-size: 1.5rem;
	}
	.kokuchi-go {
		font-size: 4rem;
	}

	.top-catch h1 {
		font-size: 1.5rem;
		margin-top: 2rem;
	}
	
	
	
	.shop-img-area {
		flex-direction: row !important;
	}
	.shop-img-area div {
		width: calc((100% / 2) - 20px) ;
	}


	.maker-area {
		padding: 2rem 1rem;
		gap:20px;
	}

	.maker-area div {
		width: calc((100% / 3) - 20px) ;
		padding: 5px 15px;
	}

	

	#new dt {
		width: 100%;
		text-align: left;
		font-weight: bold;
	}

	#new dd {
		width: 100%;
		border-bottom: 1px solid var(--border-color);
		padding: 0 0 0.5rem 0;
		margin-bottom: 1.2rem;
	}

}

@media screen and (max-width: 468px){
	.maker-area div {
		width: calc((100% / 2) - 20px) ;
		padding: 5px 15px;
	}
}

/*メイン画像
-------------------------------------*/
.mainimg img {
	width: 100vw;
}

/*メインコンテンツ
-------------------------------------*/
main {
	/*
    margin: 5rem 0 5rem 0;
	*/
}

/*ファーストビュー
-------------------------------------*/
.top-catch {
	background: url("../img/top-cacth-back2.webp");
	background-position: bottom;
	background-repeat: no-repeat;
	background-size: cover;
	text-align: center;
}

.top-catch span {
	display: block;
}
.kokuchi-date {
	font-weight: bold;
}
.kokuchi-go {
	font-weight: bold;
}

.top-catch h1 {
	font-weight: bold;
	color: #F3A800;
}

/*メーカーエリア
-------------------------------------*/
.maker-area-back {
	background: url("../img/maker-area-back2.webp");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	padding: 5rem 0 5rem 0;
}
.maker-area {
	background: #F3A800;
	margin-bottom: 3rem;
}

	.maker-area div {
		display: flex;
	  align-items: center;
		border: 3px solid #999;
		box-sizing: border-box;
		text-align: center;
		background: #fff;
	}

	.maker-area div img {
		display: block;
		margin: auto;
		width: auto;
		height: auto;
	}

	.maker-area div strong {
		display: block;
		margin: auto;
		color: #666;
	}


/*店舗イメージ
-------------------------------------*/
.shop-img-area {
	gap:30px;
	margin-bottom: 3rem;
}

.shop-img-area div img {
	width: 100%;
	height: auto;
	object-fit: cover;
}

.shop-img-area figure {
	margin: 0;
}

.shop-img-area figcaption {
	text-align: center;
	font-weight: bold;
}


/*お知らせ
-----------------------------------*/
#new {
	
}

#new a {
   text-decoration-line: underline;
}


#new dt {
	font-weight: bold;
}

#new dd {
}

#new dt span {
	display: none;
}

/*
#new dt span {
	display: inline-block;
	text-align: center;
	line-height: 1.8;
	border-radius: 3px;
	width: 8rem;
	transform: scale(0.8);
	background: #fff;
	color: #777;
	border: 1px solid #333;
}
*/

/*地図
-------------------------------------*/
.googlemap iframe {
	width: 100%;
}

.routeguide dt {
	font-weight: bold;
}
.routeguide dd {
	margin-bottom: 2rem;
}


/*フッター
-------------------------------------*/
footer {
	/*
    background-color: var(--back-color);
	*/
    padding: 2rem 0;
}
footer h5 {
    border-bottom: 3px solid var(--border-color);
}


.sns-icons a {
}

.sns-icons a img {
	width: 40px;
	height: auto;
}


/*コピーライト
-------------------------------------*/
.copyright {
    text-align: center;
    padding: 1rem 0;
	/*
    background-color: var(--white-color);
	*/
}
.copyright a {
    color: var(--base-color);
    text-decoration: none;
	display: inline-block;
}

/*ページトップへ戻るボタン
-------------------------------------*/
#pagetop {
    position: fixed;
    bottom: 15px;
    right: 15px;
}
#pagetop a {
    display: block;
	background-color: #5E5E5E;
	/*
    background-color: var(--base-color);
	*/
    color: var(--white-color);
    width: 50px;
    padding: 10px 5px;
    text-align: center;
}
#pagetop a:hover {
    background-color: var(--link-color);
}
/*パンくずリスト
-----------------------------------*/
.breadcrumb {
    margin: 0 0 1em 0;
    padding: 0;	
}
.breadcrumb li {
    list-style-type: none;
}
.breadcrumb li a {
    display: inline-block;
    color: var(--link-color);
}

